/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.google.code.p.narcissus.ui.components.toolbar;

import java.awt.Insets;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JToggleButton;

/**
 *<p>
 *  Code for this button directly comes from this source: http://www.apl.jhu.edu/~hall/java/Swing-Tutorial/Swing-Tutorial-JToolBar.html
 * </p>
 * @author jadoj
 */
public class ToggleToolbarButton extends JToggleButton {
  private static final Insets margins =
    new Insets(0, 0, 0, 0);

  public ToggleToolbarButton(Icon icon) {
    super(icon);
    setMargin(margins);
    setVerticalTextPosition(BOTTOM);
    setHorizontalTextPosition(CENTER);
  }

  public ToggleToolbarButton(String imageFile) {
    this(new ImageIcon(imageFile));
  }

  public ToggleToolbarButton(String imageFile, String text) {
    this(new ImageIcon(imageFile));
    setText(text);
  }

  public ToggleToolbarButton(){
  }
}

